=== debian/control ===
Source: ros-rolling-velodyne-driver
Section: misc
Priority: optional
Maintainer: Josh Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcap0.8-dev, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-diagnostic-msgs, ros-rolling-diagnostic-updater, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-tf2-ros, ros-rolling-velodyne-msgs, ros-rolling-ros-workspace
Homepage: http://www.ros.org/wiki/velodyne_driver
Standards-Version: 3.9.2

Package: ros-rolling-velodyne-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8-dev, ros-rolling-diagnostic-msgs, ros-rolling-diagnostic-updater, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-tf2-ros, ros-rolling-velodyne-msgs, ros-rolling-ros-workspace
Description: ROS device driver for Velodyne 3D LIDARs.
